Start SQL warehouse
POST
/api/v1/warehouses/{warehouse_id}/start
const url = 'https://example.com/api/v1/warehouses/example/start';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"timeout_seconds":300}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/warehouses/example/start \ --header 'Content-Type: application/json' \ --data '{ "timeout_seconds": 300 }'Start a SQL warehouse.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”warehouse_id
required
Warehouse Id
The ID of the warehouse
string
The ID of the warehouse
Header Parameters
Section titled “Header Parameters”Request Body
Section titled “Request Body”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WarehouseOperationResponse
Response model for warehouse operations.
object
Examplegenerated
{ "status": "example", "message": "example", "warehouse_id": "example", "state": "example", "startup_time_seconds": 1}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}